CentOS7 failed to start after Docker was installed

  docker, question

Executed on CentOS7yum install dockerAfter docker is installed,
Startup failed

# systemctl status docker.service -l
systemctl status docker.service -l
 docker.service - Docker Application Container Engine
 Loaded: loaded (/usr/lib/systemd/system/docker.service;  enabled)
 Active: failed (Result: exit-code) since Tue 2015-04-14 20:39:21 JST;  1min 0s ago
 Docs:  http://docs.docker.com
 Process: 29830 ExecStart=/usr/bin/docker -d $OPTIONS $DOCKER_STORAGE_OPTIONS $DOCKER_NETWORK_OPTIONS $ADD_REGISTRY $BLOCK_REGISTRY $INSECURE_REGISTRY (code=exited, status=1/FAILURE)
 Main PID: 29830 (code=exited, status=1/FAILURE)
 
 Apr 14 20:39:21  vir.kagoya.net systemd[1]: Starting Docker Application Container Engine  ...
 Apr 14 20:39:21  vir.kagoya.net docker[29830]: time="2015-04-14T20:39:21+09:00" level="info" msg="+job serveapi(unix:///var/run/docker.sock)"
 Apr 14 20:39:21  vir.kagoya.net docker[29830]  : time="2015-04-14T20:39:21+09:00" level="info" msg="WARNING: You are running linux kernel version 2.6.32-042stab093.5, which might be unstable running docker. Please upgrade your kernel to 3.8.0."
 Apr 14 20:39:21  vir.kagoya.net docker[29830]: time="2015-04-14T20:39:21+09:00" level="info" msg="+job init_networkdriver()"
 Apr 14 20:39:21  vir.kagoya.net docker[29830]: package not installed
 Apr 14 20:39:21  vir.kagoya.net docker[29830]: time="2015-04-14T20:39:21+09:00" level="info" msg="-job init_networkdriver() = ERR (1)"
 Apr 14 20:39:21  vir.kagoya.net docker[29830]: time="2015-04-14T20:39:21+09:00" level="fatal" msg="package not installed"
 Apr 14 20:39:21  vir.kagoya.net systemd[1]: docker.service: main process exited, code=exited, status=1/FAILURE
 Apr 14 20:39:21  vir.kagoya.net systemd[1]: Failed to start Docker Application Container Engine.
 Apr 14 20:39:21  vir.kagoya.net systemd[1]: Unit docker.service entered failed state.

What is the problem? ? ?

You are running linux kernel version 2.6.32-042stab093.5, which might be unstable running docker. Please upgrade your kernel to 3.8.0.”

Your kernel version needs to be upgraded, butReferring to the answer here